Cyberduck Mountain Duck CLI

#284 closed enhancement (worksforme)

Decrease timeout on socket

Reported by: xpringfield@… Owned by: dkocher
Priority: low Milestone: 2.6
Component: ftp Version: 2.5.5
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

When a server is offline, Cyberduck doesn't stop connecting, it hangs.

Change History (7)

comment:1 Changed on Mar 19, 2006 at 11:40:29 PM by dkocher

It should timeout if you wait long enough (30s).

comment:2 Changed on Mar 20, 2006 at 10:17:21 AM by dkocher

  • Milestone set to 2.6
  • Priority changed from high to low
  • Status changed from new to assigned
  • Summary changed from Connecting to offline servers to Decrease timeout on socket
  • Type changed from defect to enhancement

comment:3 Changed on Apr 1, 2006 at 12:30:26 PM by anonymous

  • Milestone changed from 2.6 to 2.5.6
  • Resolution set to fixed
  • Status changed from assigned to closed

comment:4 Changed on Jun 13, 2006 at 9:02:21 AM by jace@…

  • Resolution fixed deleted
  • Status changed from closed to reopened

30s is too low. I have a server that takes well over a minute for initial response. Can the timeout value be made configurable? I'd prefer it as high as 300s. The connection.pool.timeout preference option doesn't do it.

comment:5 Changed on Jun 13, 2006 at 4:06:31 PM by dkocher

You can change the connection timeout using the property connection.timeout (in milliseconds!)

defaults write ch.sudo.cyberduck connection.timeout 15000

comment:6 Changed on Jun 15, 2006 at 10:42:28 AM by jace@…

Thanks! That fixed it for me.

comment:7 Changed on Sep 3, 2006 at 2:09:15 PM by dkocher

  • Resolution set to worksforme
  • Status changed from reopened to closed
Note: See TracTickets for help on using tickets.
swiss made software